<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by Medewerker (Vektis cv) -->
<!-- FZ825v2.0_VALXSLT_494u1, 01-09-2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:fz825="http://ei.vektis.nl/fz/fz825" xmlns:fz826="http://ei.vektis.nl/fz/fz826">
	<xsl:import href="rc8028.xslt"/>
	<xsl:import href="rc8986.xslt"/>
	<xsl:import href="rc0350.xslt"/>
	<xsl:import href="rc0350a.xslt"/>
	<xsl:import href="rc9183.xslt"/>
	<xsl:import href="rc9184.xslt"/>
	<xsl:import href="rc9185.xslt"/>
	<xsl:import href="rc9186.xslt"/>
	<xsl:import href="rc9530.xslt"/>
	<xsl:import href="rc9531.xslt"/>
	<xsl:import href="rc9532.xslt"/>
	<xsl:import href="rc9533.xslt"/>
	<!-- Uitvoer is fz826 bericht met Retourcodes. -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="BerichtSoort" select="//fz825:Bericht/fz825:Header/fz825:BerichtSoort"/>
	<xsl:variable name="Verzenddatum" select="translate(//fz825:Bericht/fz825:Header/fz825:Verzenddatum, '-', '')"/>
	<xsl:template match="//fz825:Bericht">
		<fz826:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/fz/fz826 fz826_495.xsd</xsl:attribute>
			<!-- Controleer op errors in de Header -->
			<!-- retourcode 8028: Soort bericht ontbreekt of is onjuist -->
			<xsl:variable name="rc8028">
				<xsl:call-template name="rc8028">
					<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
				</xsl:call-template>
			</xsl:variable>
			<!-- retourcode 8986: Verzenddatum moet kleiner zijn dan of gelijk zijn aan de huidige datum. -->
			<xsl:variable name="rc8986">
				<xsl:call-template name="rc8986">
					<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
					<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:choose>
				<!-- Geen errors in de Header, dan hele bericht als retour -->
				<xsl:when test="$rc8028='' and $rc8986=''">
					<xsl:apply-templates select="fz825:Header"/>
					<xsl:apply-templates select="fz825:Verzekerde"/>
				</xsl:when>
				<!-- Wel errors in de Header, dan alleen Header als retour -->
				<xsl:otherwise>
					<xsl:apply-templates select="fz825:Header"/>
				</xsl:otherwise>
			</xsl:choose>
		</fz826:Bericht>
	</xsl:template>
	<xsl:template match="fz825:Header">
		<fz826:Header>
			<fz826:BerichtCode>495</fz826:BerichtCode>
			<xsl:apply-templates select="fz825:BerichtVersie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:BerichtSubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:BerichtSoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:JustitieleInstantie"/>
			<xsl:apply-templates select="fz825:Zorgaanbieder"/>
			<xsl:apply-templates select="fz825:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Referentienummer" mode="copy-if-exists"/>
			<fz826:Retourcodes>
				<!-- retourcode 8028: Soort bericht ontbreekt of is onjuist -->
				<xsl:variable name="rc8028">
					<xsl:call-template name="rc8028">
						<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 8920: Verzenddatum moet kleiner zijn dan of gelijk zijn aan de huidige datum. -->
				<xsl:variable name="rc8986">
					<xsl:call-template name="rc8986">
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
						<xsl:with-param name="BerichtSoort" select="$BerichtSoort"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:copy-of select="$rc8028"/>
				<xsl:copy-of select="$rc8986"/>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc8028='' and $rc8986=''">
					<fz826:Retourcode>0200</fz826:Retourcode>
				</xsl:if>
			</fz826:Retourcodes>
		</fz826:Header>
	</xsl:template>
	<xsl:template match="fz825:Verzekerde">
		<fz826:Verzekerde>
			<xsl:apply-templates select="fz825:Verzekerdennummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Geboortedatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:GeboortedatumOnbekend" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:MutatieForensischeZorg"/>
			<fz826:Retourcodes>
				<!-- retourcode 0350: Geboortedatum moet kleiner zijn dan verzenddatum -->
				<xsl:variable name="rc0350">
					<xsl:call-template name="rc0350">
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
						<xsl:with-param name="Geboortedatum" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:Geboortedatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 0350a: Geboortedatum moet bestaan als geboortedatumOnbekend = "false" -->
				<xsl:variable name="rc0350a">
					<xsl:call-template name="rc0350a">
						<xsl:with-param name="GeboortedatumOnbekend" select="//fz825:Bericht/fz825:Verzekerde/fz825:GeboortedatumOnbekend"/>
						<xsl:with-param name="Geboortedatum" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:Geboortedatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:copy-of select="$rc0350"/>
				<xsl:copy-of select="$rc0350a"/>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc0350='' and $rc0350a=''">
					<fz826:Retourcode>0200</fz826:Retourcode>
				</xsl:if>
			</fz826:Retourcodes>
		</fz826:Verzekerde>
	</xsl:template>
	<xsl:template match="fz825:MutatieForensischeZorg">
		<fz826:MutatieForensischeZorg>
			<xsl:apply-templates select="fz825:PlaatsingsbesluitNummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Status" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:DatumAanmaak" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:TijdAanmaak" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:GerelateerdDatumAanmaak" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:GerelateerdTijdAanmaak" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Mutatiedatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Mutatiereden" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:MutatieLocatie"/>
			<fz826:Retourcodes>
				<!-- retourcode 9183: Mutatiedatum Forensische zorg ontbreekt of is onjuist. -->
				<xsl:variable name="rc9183">
					<xsl:call-template name="rc9183">
						<xsl:with-param name="Mutatiedatum" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiedatum, '-', '')"/>
						<xsl:with-param name="Verzenddatum" select="$Verzenddatum"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9183: MutatieLocatie moet voorkomen bij deze waarde Mutatiereden. -->
				<xsl:variable name="rc9184">
					<xsl:call-template name="rc9184">
						<xsl:with-param name="Mutatiereden" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiereden"/>
						<xsl:with-param name="MutatieLocatie" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:MutatieLocatie"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9530: Mutatiedatum Forensische zorg ontbreekt of is onjuist. -->
				<xsl:variable name="rc9530">
					<xsl:call-template name="rc9530">
						<xsl:with-param name="Status" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Status"/>
						<xsl:with-param name="GerelateerdDatumAanmaak" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:GerelateerdDatumAanmaak, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9531: Mutatiedatum Forensische zorg ontbreekt of is onjuist. -->
				<xsl:variable name="rc9531">
					<xsl:call-template name="rc9531">
						<xsl:with-param name="Status" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Status"/>
						<xsl:with-param name="GerelateerdTijdAanmaak" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:GerelateerdTijdAanmaak, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9532: Mutatiedatum Forensische zorg ontbreekt of is onjuist. -->
				<xsl:variable name="rc9532">
					<xsl:call-template name="rc9532">
						<xsl:with-param name="Status" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Status"/>
						<xsl:with-param name="Mutatiedatum" select="translate(//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiedatum, '-', '')"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9533: Mutatiedatum Forensische zorg ontbreekt of is onjuist. -->
				<xsl:variable name="rc9533">
					<xsl:call-template name="rc9533">
						<xsl:with-param name="Status" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Status"/>
						<xsl:with-param name="Mutatiereden" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiereden"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:copy-of select="$rc9183"/>
				<xsl:copy-of select="$rc9184"/>
				<xsl:copy-of select="$rc9530"/>
				<xsl:copy-of select="$rc9531"/>
				<xsl:copy-of select="$rc9532"/>
				<xsl:copy-of select="$rc9533"/>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc9183='' and $rc9184='' and $rc9530='' and $rc9531='' and $rc9532='' and $rc9533='' ">
					<fz826:Retourcode>0200</fz826:Retourcode>
				</xsl:if>
			</fz826:Retourcodes>
		</fz826:MutatieForensischeZorg>
	</xsl:template>
	<xsl:template match="fz825:MutatieLocatie">
		<fz826:MutatieLocatie>
			<xsl:apply-templates select="fz825:LocatieOud"/>
			<xsl:apply-templates select="fz825:LocatieNieuw"/>
			<fz826:Retourcodes>
				<!-- retourcode 9185: Ondernemingscodes moeten ongelijk zijn bij deze Mutatiereden.  -->
				<xsl:variable name="rc9185">
					<xsl:call-template name="rc9185">
						<xsl:with-param name="Mutatiereden" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiereden"/>
						<xsl:with-param name="OndernemingscodeLocatieOud" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:MutatieLocatie/fz825:LocatieOud/fz825:Ondernemingscode"/>
						<xsl:with-param name="OndernemingscodeLocatieNieuw" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:MutatieLocatie/fz825:LocatieNieuw/fz825:Ondernemingscode"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- retourcode 9186: Vestigingscodes moeten ongelijk zijn bij deze Mutatiereden.  -->
				<xsl:variable name="rc9186">
					<xsl:call-template name="rc9186">
						<xsl:with-param name="Mutatiereden" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:Mutatiereden"/>
						<xsl:with-param name="VestigingscodeLocatieOud" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:MutatieLocatie/fz825:LocatieOud/fz825:Vestigingscode"/>
						<xsl:with-param name="VestigingscodeLocatieNieuw" select="//fz825:Bericht/fz825:Verzekerde/fz825:MutatieForensischeZorg/fz825:MutatieLocatie/fz825:LocatieNieuw/fz825:Vestigingscode"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:copy-of select="$rc9185"/>
				<xsl:copy-of select="$rc9186"/>
				<!-- Wanneer de klasse correct is dan wordt een 0200 retourcode toegevoegd. -->
				<xsl:if test="$rc9185='' and $rc9186=''">
					<fz826:Retourcode>0200</fz826:Retourcode>
				</xsl:if>
			</fz826:Retourcodes>
		</fz826:MutatieLocatie>
	</xsl:template>
	<xsl:template match="fz825:LocatieOud">
		<fz826:LocatieOud>
			<xsl:apply-templates select="fz825:Ondernemingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Vestigingscode" mode="copy-if-exists"/>
		</fz826:LocatieOud>
	</xsl:template>
	<xsl:template match="fz825:LocatieNieuw">
		<fz826:LocatieNieuw>
			<xsl:apply-templates select="fz825:Ondernemingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Vestigingscode" mode="copy-if-exists"/>
		</fz826:LocatieNieuw>
	</xsl:template>
	<xsl:template match="fz825:JustitieleInstantie">
		<fz826:JustitieleInstantie>
			<xsl:apply-templates select="fz825:UZOVINummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:InstantieCode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Naam"/>
			<xsl:apply-templates select="fz825:Voorletters" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Emailadres" mode="copy-if-exists"/>
		</fz826:JustitieleInstantie>
	</xsl:template>
	<xsl:template match="fz825:Zorgaanbieder">
		<fz826:Zorgaanbieder>
			<xsl:apply-templates select="fz825:Ondernemingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Vestigingscode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Emailadres" mode="copy-if-exists"/>
		</fz826:Zorgaanbieder>
	</xsl:template>
	<xsl:template match="fz825:Naam">
		<fz826:Naam>
			<xsl:apply-templates select="fz825:Achternaam" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz825:Voorvoegsels" mode="copy-if-exists"/>
		</fz826:Naam>
	</xsl:template>
	<!-- Copy template: als een enkel element voorkomt is, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/fz/fz825']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('fz826:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
